Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/cmark: new aport

From: Marian Buschsieweke <m.buschsieweke_at_uni-muenster.de>
Date: Sat, 28 May 2016 11:34:54 +0200

C reference implementation of CommonMark, a rationalized Markdown spec
---
 testing/cmark/APKBUILD | 28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)
 create mode 100644 testing/cmark/APKBUILD
diff --git a/testing/cmark/APKBUILD b/testing/cmark/APKBUILD
new file mode 100644
index 0000000..7e17153
--- /dev/null
+++ b/testing/cmark/APKBUILD
_at_@ -0,0 +1,28 @@
+# Maintainer: Marian <mari.hahn_at_wwu.de>
+pkgname=cmark
+pkgver=0.25.2
+pkgrel=0
+pkgdesc="C reference implementation of CommonMark, a rationalized Markdown spec"
+url="https://github.com/jgm/cmark"
+arch="all"
+license="BSD"
+depends=""
+depends_dev=""
+makedepends="re2c cmake"
+subpackages="$pkgname-doc"
+source="$pkgname-$pkgver.tar.gz::https://github.com/jgm/cmark/archive/${pkgver}.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgver
+build() {
+	cd "$builddir"
+	make INSTALL_PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$builddir"
+	make INSTALL_PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="4b2b1d076cdd9e46c1122f5611f47b9d  cmark-0.25.2.tar.gz"
+sha256sums="530ae56d81a370ce29ed77fd3a34628c94277320f23657f5efb402283716f29b  cmark-0.25.2.tar.gz"
+sha512sums="7fb50ef39ed3e9c04547d4943e63c780571d410c67535cf01ce537b05c7538ba6c24400cde0ea85c38f173294617e65332d9461e4814c8f3125bcde4aa61533f  cmark-0.25.2.tar.gz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat May 28 2016 - 11:34:54 GMT